#!/bin/bash

set -e

prog_path="`type -p $0`"
if test -z "prog_path" ; then
 echo "$0 not found" >&2
 exit 1
fi
cd `dirname "$prog_path"`

for FW_DIR in /lib/firmware /usr/lib/hotplug/firmware; do 
  if test -d $FW_DIR; then
      for i in *.dat ; do
         dest=$FW_DIR/myri10ge_`basename $i`
         echo "Installing $i to $dest"
	 cp $i $dest
      done
  fi
done
